Name: 		pnm2ppa
Summary: 	Drivers for printing to HP PPA printers.
Obsoletes: 	ppa
Version: 	1.10
Release: 	1
URL: 		http://sourceforge.net/projects/pnm2ppa 
Source0: 	http://prdownloads.sourceforge.net/pnm2ppa/%{name}-%{version}.tar.gz
Source1: 	http://www.httptech.com/ppa/files/ppa-0.8.6.tar.gz
Patch2: 	pbm2ppa-20000205.diff
Patch3: 	pnm2ppa-redhat.patch
Copyright: 	GPL
Group:		System
Buildroot: 	/var/tmp/pnm2ppa-buildroot
%define 	topdir pnm2ppa-%{version}

%description
Pnm2ppa is a color driver for HP PPA host-based printers such as the
HP710C, 712C, 720C, 722C, 820Cse, 820Cxi, 1000Cse, and 1000Cxi.
Pnm2ppa accepts Ghostscript output in PPM format and sends it to the
printer in PPA format.

Install pnm2ppa if you need to print to a PPA printer.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

#pbm2ppa source
%setup -T -D -a 1
%patch2 -p0
%patch3 -p1 -b .rh

%build
make 
cd pbm2ppa-0.8.6
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT%{_mandir}/man1
make BINDIR=$RPM_BUILD_ROOT/usr/bin CONFDIR=$RPM_BUILD_ROOT/etc \
    MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 install
    install -m 0755 utils/Linux/detect_ppa $RPM_BUILD_ROOT/usr/bin/
    install -m 0755 utils/Linux/test_ppa $RPM_BUILD_ROOT/usr/bin/
install -m 0755 pbm2ppa-0.8.6/pbm2ppa  $RPM_BUILD_ROOT/usr/bin/
install -m 0755 pbm2ppa-0.8.6/pbmtpg   $RPM_BUILD_ROOT/usr/bin/
install -m 0644 pbm2ppa-0.8.6/pbm2ppa.conf   $RPM_BUILD_ROOT/etc
install -m 0644 pbm2ppa-0.8.6/pbm2ppa.1   $RPM_BUILD_ROOT%{_mandir}/man1

chmod 644 docs/en/LICENSE
mkdir -p pbm2ppa
for file in CALIBRATION CREDITS INSTALL INSTALL-MORE LICENSE README ; do
  install -m 0644 pbm2ppa-0.8.6/$file pbm2ppa/$file
done

%clean
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%doc docs/en/CREDITS docs/en/INSTALL docs/en/LICENSE docs/en/README
%doc docs/en/RELEASE-NOTES docs/en/TODO
%doc docs/en/INSTALL.REDHAT.txt docs/en/COLOR.txt docs/en/CALIBRATION.txt
%doc docs/en/INSTALL.REDHAT.html docs/en/COLOR.html docs/en/CALIBRATION.html
%doc test.ps
%doc pbm2ppa
/usr/bin/pnm2ppa
/usr/bin/pbm2ppa
/usr/bin/pbmtpg
/usr/bin/calibrate_ppa
/usr/bin/test_ppa
/usr/bin/detect_ppa
%{_mandir}/man1/pnm2ppa.1*
%{_mandir}/man1/pbm2ppa.1*
%config /etc/pnm2ppa.conf
%config /etc/pbm2ppa.conf
